OpenVDB: ExpandNarrowband< TreeType, MeshDataAdapter > Struct Template Reference

OpenVDB 6.0.0

Classes | Public Types | Public Member Functions | List of all members
ExpandNarrowband< TreeType, MeshDataAdapter > Struct Template Reference

`#include <MeshToVolume.h>`

## Classes
struct | Fragment

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | NodeMaskType = typename LeafNodeType::NodeMaskType
using | Int32TreeType = typename TreeType::template ValueConverter< Int32 >::Type
using | Int32LeafNodeType = typename Int32TreeType::LeafNodeType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| ExpandNarrowband (std::vector< BoolLeafNodeType * > &maskNodes, BoolTreeType &maskTree, TreeType &distTree, Int32TreeType &indexTree, const MeshDataAdapter &mesh, ValueType exteriorBandWidth, ValueType interiorBandWidth, ValueType voxelSize)
| ExpandNarrowband (const ExpandNarrowband &rhs, tbb::split)
void | join (ExpandNarrowband &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)
BoolTreeType & | newMaskTree ()
std::vector< LeafNodeType * > & | newDistNodes ()
std::vector< LeafNodeType * > & | updatedDistNodes ()
std::vector< Int32LeafNodeType * > & | newIndexNodes ()
std::vector< Int32LeafNodeType * > & | updatedIndexNodes ()

## Detailed Description

### template<typename TreeType, typename MeshDataAdapter>
struct openvdb::v6_0::tools::mesh_to_volume_internal::ExpandNarrowband< TreeType, MeshDataAdapter >

Note
  The interior and exterior widths should be in world space units and squared.

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ Int32LeafNodeType

using Int32LeafNodeType = typename Int32TreeType::LeafNodeType

## ◆ Int32TreeType

using Int32TreeType = typename TreeType::template ValueConverter<Int32>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ NodeMaskType

using NodeMaskType = typename LeafNodeType::NodeMaskType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ ExpandNarrowband() [1/2]

ExpandNarrowband | ( | std::vector< BoolLeafNodeType * > & | maskNodes,
|  | BoolTreeType & | maskTree,
|  | TreeType & | distTree,
|  | Int32TreeType & | indexTree,
|  | const MeshDataAdapter & | mesh,
|  | ValueType | exteriorBandWidth,
|  | ValueType | interiorBandWidth,
|  | ValueType | voxelSize
| ) |  |
| inline

## ◆ ExpandNarrowband() [2/2]

ExpandNarrowband | ( | const ExpandNarrowband< TreeType, MeshDataAdapter > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | ExpandNarrowband< TreeType, MeshDataAdapter > & | rhs | ) |
| inline

## ◆ newDistNodes()

std::vector<LeafNodeType*>& newDistNodes | ( |  | ) |
| inline

## ◆ newIndexNodes()

std::vector<Int32LeafNodeType*>& newIndexNodes | ( |  | ) |
| inline

## ◆ newMaskTree()

BoolTreeType& newMaskTree | ( |  | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

## ◆ updatedDistNodes()

std::vector<LeafNodeType*>& updatedDistNodes | ( |  | ) |
| inline

## ◆ updatedIndexNodes()

std::vector<Int32LeafNodeType*>& updatedIndexNodes | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h